=== debian/changelog ===
protobuf (3.0.0~b2-1) xenial; urgency=medium

  * Non-maintainer upload.
  * New upstream release

 -- Romain Acciari <romain.acciari@openio.io>  Mon, 11 Apr 2016 09:24:09 +0000
