=== debian/changelog ===
protobuf (3.0.0-9.1ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Null pointer dereference issue
    - debian/patches/CVE-2021-22570.patch: fix null pointer dereference
    - CVE-2021-22570
  * SECURITY UPDATE: Dos vulnerability in cpp and python parser
    - debian/patches/CVE-2022-1941.patch: fix parsing vulnerability for the
      MessageSet type
    - CVE-2022-1941

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 09 Mar 2023 14:14:21 +0530

protobuf (3.0.0-9.1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run jdbc-tests autopkg test allowing output on stderr (warning with
      illegal reflective access operation on OpenJDK 9).
    - Backport upstream fix to hide unnecessary exported symbols

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Mar 2018 11:08:42 +0200

protobuf (3.0.0-9.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mattia Rizzolo ]
  * Apply patch from Ubuntu to fix tests with Python 3.6.  Closes: #862805
  * Add missing Build-Depends on python-six.

  [ Helmut Grohne ]
  * Fix FTCBFS:
    + Remove unneeded versioned Build-Depends on g++ (satisfied in oldstable).
    + Remove unused Build-Depends on python-google-apputils.
    + Build-Depend on python(3)-all-dev instead of python(3)-all +
      libpython(3)-all-dev.
    + Run generate_descriptor_proto.sh on a native build before performing
      the actual cross build.
    + Save the native protoc in debian/native_protoc/ and pass it to the
      cross build via --with-protoc.
    + Set up environment variables for cross building python extensions.
    + Fix the loops used for the python(3) builds install and tests, to
      actually build for all python versions and tests them all.
    + Closes: #846343

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 16 Oct 2017 13:34:16 +0200

protobuf (3.0.0-9ubuntu6) bionic; urgency=medium

  * Run jdbc-tests autopkg test allowing output on stderr (warning with
    illegal reflective access operation on OpenJDK 9).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Mar 2018 15:39:23 +0800

protobuf (3.0.0-9ubuntu5) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 22:12:11 +1200

protobuf (3.0.0-9ubuntu4) artful; urgency=medium

  * Fix build with Python 3.6. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 11:42:39 +1200

protobuf (3.0.0-9ubuntu3) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 12:10:07 +1200

protobuf (3.0.0-9ubuntu2) zesty; urgency=low

  * debian/patches/Hide-unnecessary-exported-library-symbols.patch:
    - Backport upstream fix to hide unnecessary exported symbols
      (LP: #1667352)
  * debian/patches/fix-reload.diff:
    - Removed, not needed anymore.

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Thu, 16 Mar 2017 12:10:45 +0200

protobuf (3.0.0-9ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix reloading of the shared libraries with dlopen. LP: #1619616.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Dec 2016 09:08:03 +0100

protobuf (3.0.0-9) unstable; urgency=medium

  * Backport upstream fix for Python 3 build failure (closes: #845686).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Nov 2016 16:11:01 +0000

protobuf (3.0.0-8) unstable; urgency=medium

  [ Zhou Mo <cdluminate@gmail.com> ]
  * Build python3-protobuf, thanks to Thomas Viehmann (closes: #836821).
  * Add the missing B-D "libgtest-dev" (closes: #836826).
  * Add "python3-six" to B-D, which is required by python3 test.

  [ Bart Martens <bartm@debian.org> ]
  * Generalize watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Nov 2016 17:33:28 +0000

protobuf (3.0.0-7ubuntu3) yakkety; urgency=medium

  [ Alan Griffiths ]
  * Fix reloading of the shared libraries with dlopen. LP: #1619616.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Sep 2016 14:19:44 +0200

protobuf (3.0.0-7) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Added patch by Srivats P to restore New*Callback into google::protobuf
    namespace. Required for ostinato (#835435). (Closes: #836200).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 02 Sep 2016 16:57:13 +1000

protobuf (3.0.0-6) unstable; urgency=medium

  * New "java-test-scope.patch" to set scope of "junit" and "easymock" to
    "test" (Closes: #835514).
    Thanks, Markus Koschany.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 27 Aug 2016 09:02:16 +1000

protobuf (3.0.0-5) unstable; urgency=medium

  * Team upload.
  * Removed obsolete Conflicts/Replaces (Closes: #835385).
    Thanks, Robert Edmonds.
  * New patch to fix "EXPECT_DEATH" FTBFS on kFreeBSD (Closes: #835388).
    Thanks, Bas Couwenberg.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 26 Aug 2016 08:36:08 +1000

protobuf (3.0.0-4) unstable; urgency=low

  * Team upload.
  * Updated "libprotobuf-java.poms" (Closes: #835358).
    Thanks, Markus Koschany.
  * Added new patches to fix FTBFS on s390x and sparc64 (Closes: #835290).
    Thanks, Aurelien Jarno; thanks Sebastiaan Couwenberg.
  * New patch to fix FTBFS on Hurd (Closes: #835267).
    Thanks, Sebastiaan Couwenberg.
  * rules: removed "-O0" #796069 workaround for mips(el).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 25 Aug 2016 11:28:07 +1000

protobuf (3.0.0-3) unstable; urgency=low

  [ Bas Couwenberg ]
  * Added new patch to fix FTBFS "misleading indentation" (Closes: #835266).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Aug 2016 13:54:36 +1000

protobuf (3.0.0-2) unstable; urgency=medium

  * rules: invoke "generate_descriptor_proto.sh" to re-generate pre-built
    .pb.go files if necessary.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Aug 2016 13:19:43 +1000

protobuf (3.0.0-1) unstable; urgency=low

  * Team upload.

