=== debian/control ===
--- 
+++ 
@@ -1,37 +1,45 @@
 Source: protobuf
 Section: devel
 Priority: optional
-Maintainer: Robert Edmonds <edmonds@debian.org>
-Uploaders: Iustin Pop <iustin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian protobuf maintainers <pkg-protobuf-devel@lists.alioth.debian.org>
+Uploaders:
+ Robert Edmonds <edmonds@debian.org>,
+ Iustin Pop <iustin@debian.org>,
+ Laszlo Boszormenyi (GCS) <gcs@debian.org>,
+ Andrew Pollock <apollock@debian.org>
 Build-Depends:
 # Debian build system
  dpkg-dev (>= 1.16.1~)
  , debhelper (>= 9)
  , dh-autoreconf
 # C/C++
- , g++ (>= 4:4.7)
  , zlib1g-dev
+ , google-mock
+ , libgtest-dev
 # Python
  , dh-python
- , python-all (>= 2.7)
- , libpython-all-dev (>= 2.7)
+ , python-all:any
+ , libpython-all-dev
+ , python3-all:any
+ , libpython3-all-dev
  , python-setuptools
- , python-google-apputils
-# , google-mock
-# , libgtest-dev
+ , python-six
+ , python3-setuptools
+ , python3-six
 # Manpage generator
  , xmlto
 # Tests
  , unzip
 Build-Depends-Indep:
 # Java
- , ant
+ ant
  , default-jdk
  , maven-repo-helper
-Standards-Version: 3.9.5
-Homepage: https://code.google.com/p/protobuf/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/protobuf.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/protobuf.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/google/protobuf/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-protobuf/pkg-protobuf.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-protobuf/pkg-protobuf.git
 X-Python-Version: >= 2.7
 
 Package: libprotobuf10
@@ -178,6 +186,27 @@
  definition to Python classes, and then the modules in this package will allow
  you to use those classes in your programs.
 
+Package: python3-protobuf
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
+Description: Python 3 bindings for protocol buffers
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the Python 3 bindings for the protocol buffers. You will
+ need the protoc tool (in the protobuf-compiler package) to compile your
+ definition to Python classes, and then the modules in this package will allow
+ you to use those classes in your programs.
+
 Package: libprotobuf-java
 Architecture: all
 Depends: ${misc:Depends}
