## protobuf 3.4.1-ubuntu1ppa1

=== debian/changelog ===
protobuf (3.4.1-ubuntu1ppa1-xenial) xenial; urgency=medium

  * Rebuild for ubuntu xenial

 -- Bartek Kryza <bkryza@gmail.com>  Wed, 18 Oct 2017 22:10:36 +0200
