=== debian/control ===
--- 
+++ 
@@ -14,18 +14,19 @@
  , debhelper (>= 9)
  , dh-autoreconf
 # C/C++
+ , g++
  , zlib1g-dev
  , google-mock
  , libgtest-dev
 # Python
  , dh-python
- , python-all:any
- , libpython-all-dev
- , python3-all:any
- , libpython3-all-dev
+ , python-all (>= 2.7)
+ , libpython-all-dev (>= 2.7)
+ , python3-all (>= 3.3)
+ , libpython3-all-dev (>= 3.3)
  , python-setuptools
- , python-six
  , python3-setuptools
+ , python-google-apputils
  , python3-six
 # Manpage generator
  , xmlto
@@ -33,7 +34,7 @@
  , unzip
 Build-Depends-Indep:
 # Java
- ant
+ , ant
  , default-jdk
  , maven-repo-helper
 Standards-Version: 3.9.8
